Discussion - Hetzner EX-62 Hardware acceleration error (Ubuntu) | PlexGuide.com

Discussion Hetzner EX-62 Hardware acceleration error (Ubuntu)

  • Stop using Chrome! Download the Brave Browser via >>> [Brave.com]
    It's a forked version of Chrome with native ad-blockers and Google's spyware stripped out! Download for Mac, Windows, Android, and Linux!
Welcome to the PlexGuide.com
Serving the Community since 2016!
Register Now

kamos69

Experienced+
Original poster
Donor
Apr 22, 2018
131
71
DISCLAIMER: I know there is another thread with a similar issue but it's about CentOS (this is Ubuntu related) and I didn't want to hijack that thread.

I currently have a EX61-NVMe and have bought a Hetzner EX-62 NVME (Intel® Core™ i9-9900K). I can't seem to get Hardware Acceleration working. I have hardware acceleration working on the EX-61. This is the error I see in Plex:

Code:
May 03, 2019 13:48:03.542 [0x7f5c037fe700] Debug — TranscodeUniversalRequest: using augmented profile Web
May 03, 2019 13:48:03.542 [0x7f5c037fe700] Debug — Downloading document http://127.0.0.1:32400/library/metadata/37?/XZZZZZ BLUSHED 
May 03, 2019 13:48:03.543 [0x7f5c037fe700] Debug — Auth: authenticated user 1 as BLUSHED
May 03, 2019 13:48:03.547 [0x7f5c037fe700] Debug — We're going to try to auto-select an audio stream for account 1.
May 03, 2019 13:48:03.547 [0x7f5c037fe700] Debug — Selecting best audio stream for part ID 37 (autoselect: 1 language: en)
May 03, 2019 13:48:03.547 [0x7f5c037fe700] Debug — We're going to try to auto-select a subtitle.
May 03, 2019 13:48:03.547 [0x7f5c037fe700] Debug — Audio Stream: 75, Subtitle Stream: -1
May 03, 2019 13:48:03.548 [0x7f5c037fe700] Debug — Codecs: testing h264_nvenc (encoder)
May 03, 2019 13:48:03.548 [0x7f5c037fe700] Error — [FFMPEG] - Cannot load libcuda.so.1

May 03, 2019 13:48:03.548 [0x7f5c037fe700] Warning — avcodec_open2 returned -1313558101 for encoder 'h264_nvenc'
May 03, 2019 13:48:03.548 [0x7f5c037fe700] Debug — Codecs: hardware transcoding: testing API vaapi
May 03, 2019 13:48:03.548 [0x7f5c037fe700] Error — [FFMPEG] - libva: /usr/lib/plexmediaserver/lib/dri/i965_drv_video.so init failed

May 03, 2019 13:48:03.548 [0x7f5c037fe700] Error — [FFMPEG] - Failed to initialise VAAPI connection: -1 (unknown libva error).

May 03, 2019 13:48:03.548 [0x7f5c037fe700] Debug — Codecs: hardware transcoding: opening hw device failed - probably not supported by this system, error: Input/output erro
This is the output from vainfo:

Code:
libva info: VA-API version 1.1.0
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib/x86_64-linux-gnu/dri/i965_drv_video.so
libva info: Found init function __vaDriverInit_1_1
libva error: /usr/lib/x86_64-linux-gnu/dri/i965_drv_video.so init failed
libva info: va_openDriver() returns -1
vaInitialize failed with error code -1 (unknown libva error),exit
Output from lshw -c video:

Code:
  *-display
       description: VGA compatible controller
       product: Intel Corporation
       vendor: Intel Corporation
       physical id: 2
       bus info: [email protected]:00:02.0
       version: 00
       width: 64 bits
       clock: 33MHz
       capabilities: pciexpress msi pm vga_controller bus_master cap_list rom
       configuration: driver=i915 latency=0
       resources: irq:158 memory:50000000-50ffffff memory:40000000-4fffffff ioport:3000(size=64) memory:c0000-dffff
If someone can help me figure this out, I'd appreciate it...beers on me ;-)
 
Last edited by a moderator:
M

MrDoob

Guest
The Kernel and plex cant use it.

Read the other post
 
  • Like
Reactions: 1 user

Grawl

Active
Donor
Jan 1, 2019
30
5
I've just installed a new server on an EX-62, and hardware encoding works fine. vainfo throws an error, but "ls -la /dev/dri" works fine. I did however install kernel 5, just to be sure.


It absolutely doesn't give a f*ck about 4k encoding, it seems I could do two 4k -> 1080p streams if I wanted.

 

Recommend NewsGroups

      Up To a 58% Discount!

Trending